<?php
namespace App\Model;


class Ticket extends GenericObject
{
    static $table_name = 'mensatic';
    static $primary_key = 'msj_codigo';

    public function cargar($data){
        $this->msj_linea = $data->linea;
        $this->msj_posici = $data->posicion;
        $this->msj_tipo = $data->tipo;
        $this->msj_texto = $data->texto;
    }

    public static function toJSON($result)
    {
        $temp = array();
        if(!isset($result->msj_codigo)){
            foreach($result as $item){
                $object = array(
                    "id" => $item->msj_codigo,
                    "linea" => $item->msj_linea,
                    "posicion" => strtolower($item->msj_posici),
                    "tipo" => strtolower($item->msj_tipo),
                    "texto" => $item->msj_texto
                );
                $temp[] = $object;
            }
        }else{
            $temp = array(
                "id" => $result->msj_codigo,
                "linea" => $result->msj_linea,
                "posicion" => strtolower($result->msj_posici),
                "tipo" => strtolower($result->msj_tipo),
                "texto" => $result->msj_texto
            );
        }
        return json_encode($temp);
    }

}